Perform a post action
POST/api/v4/posts/:post_id/actions/:action_id
Perform a post action, which allows users to interact with integrations through posts.
Permissions
Must be authenticated and have the read_channel permission to the channel the post is in.
Request
Responses
- 200
- 400
- 401
- 403
- 429
- 502
- 503
Post action successful
Invalid or missing parameters in URL or request body
No access token provided
Do not have appropriate permissions
The upstream integration rate-limited the request. The original status code is preserved so clients can honor retry semantics.
The upstream integration returned a 5xx (other than 503). Surfaced as Bad Gateway because the failure is upstream of Mattermost.
The upstream integration is unavailable. The original status code is preserved so clients can honor retry semantics.